# Changelog

## [Unreleased]
        
## [1.3.0] - 2017-09-25
### Fixed
- Do not post to slack channel if release fails
- Try to refresh access token only if error is actually related to access token
- Do not copy config in WebApiClient
        
## [1.2.2] - 2017-08-29
### Changed
- Move @slack/client to dependencies

## [1.2.1] - 2017-08-29
### Added
- Add yarn.lock for locking versions of dependencies

## [1.2.0] - 2017-08-18
### Added
- Add Generic support to Sortable
- Add Order enum

### Changed
- Update typescript to version 2.4.2
- Update ts-loader to version 2.3.3

### Fixed
- Fix type errors found by updated typescript compiler

## [1.1.3] - 2017-04-09

- Public release

## [1.1.2] - 2017-04-04

### Changed

- Sanitization of the repository

## [1.1.1] - 2017-03-26

### Fixed

- Use `uuid` module instead of deprecated `node-uuid`

## [1.1.0] - 2017-03-22

### Added

- Added System Test environment constant

### Fixed

- Docs: Fixed broken titles in markdown.

## [1.0.4] - 2017-03-22

### Fixed

- CI Proces cleanup
- Do not clean /dist folder when testing. Do it only when running dist script.

## [1.0.3] - 2017-03-22

## [1.0.2] - 2017-03-22

## [1.0.1] - 2017-03-20

### Added

- Automatic NPM Publishing through Travis CI

## [1.0.0] - 2017-03-15

## [0.8.2] - 2017-03-15

### Changed
  - Changed signing key to the official one.

## [0.8.1] - 2017-03-10
### Changed
  - Improve changelog regexp in publishing script

## [0.8.0] - 2017-03-09
### Added
  - NPM shrinkwrap
  - Missing types
  - Download and Export interfaces to API query
  - README to docs
  - oAuth 2 authorization documentation

### Changed
  - Docs wording
  - Rewrite code comments to use jsdoc

## [0.7.9] - 2017-01-29
### Changed
  - Change publish script path in sign.sh

## [0.7.8] - 2017-01-29
### Changed
  - Change slack channel in publishing script
  - Use regexp for replacing markdown in changelog

## [0.7.7] - 2017-01-29
### Added
  - Add publishing script

### Changed
  - use custom-compiled dts-generator to inject typings reference on es6-promise

## [0.7.6] - 2016-12-28
### Changed
  - Migrate to Typescript 2

## [0.7.5] - 2016-12-28
### Added
  - Add Travis CI
### Fixed
  - Migrate from ssh to https
  - Point repository URLs to Ceskasporitelna organization

## [0.7.4] - 2016-11-25
- Assign empty array to items in list if it's null from server

## [0.7.3] - 2016-11-22
- Add back support for signing with Case Mobile

## [0.7.2] - 2016-11-22
- Add format to transformDatesToISO method

## [0.7.1] - 2016-11-22
- Refactor OAuth2 implementation

## [0.7.0] - 2016-11-03
- Add CallDownload method to ResourceUtils
- Refactor signing
- Remove null checks from TestUtils methods
- Remove unused dependencies
- Compile minified version

## [0.6.0] - 2016-05-05
- Add support for OAuth2
- Add support for signing netbanking orders
- Breaking change: WebApiClient's constructor now takes basePath as second argument instead of WebApiContext

## [0.5.0] - 2016-04-22
- Add support for url method on resources
- Add support for sortable parameters
- Add MomentJS dependency for converting dates
- Make CallDelete method on ResourceUtils return Promise
- Add expectDate, expectUrl, transformDatesToISO, transformSortableParameters, transformArrayParamsToString and addParamsToPath methods to EntityUtils.
- Add logJudgeError method to TestUtils

## [0.4.0] - 2016-03-16
- Add extend method to EntityUtils
- Add addDatesFromISO method to EntityUtils
- Fix documentation in configuration.md

## [0.3.0] - 2016-01-27
- Add previous page functionality to pagination

## [0.2.0] - 2016-01-26
- Extract entity utils to EntityUtils
- Add option to Judge to test locally
- Fix params comparisons

## [0.1.7] - 2016-01-11
- Update documents (webapi-howto.md)

## [0.1.6] - 2016-01-11
- Use sandbox environment by default
- Update documents (configuration.md, readme.md)

## [0.1.5] - 2016-01-11
- Update documents (readme.md)

## [0.1.4] - 2016-01-11
- Update documents (readme.md, package.json, contributing.md, ...)

## [0.1.3] - 2016-01-11
- Initial release