/**
 * @export
 * @class TestUtils
 */
export declare class TestUtils {
    /**
     * @static
     * @param {any} obj
     * @param {any} props
     *
     * @memberOf TestUtils
     */
    static expectToBe(obj: any, props: any): void;
    /**
     * @static
     * @param {any} e
     *
     * @memberOf TestUtils
     */
    static logJudgeError(e: any): void;
    /**
     * @static
     * @param {object} target
     * @param {object} dates
     *
     * @memberOf TestUtils
     */
    static expectDate(target: object, dates: object): void;
    /**
     * @static
     * @param {string} url
     * @param {string} toBeUrl
     * @returns {void}
     *
     * @memberOf TestUtils
     */
    static expectUrl(url: string, toBeUrl: string): void;
}
