/// <reference types="node" />

var CSCoreSDK = require('../build/cs-core-sdk.node.js');

// CSCoreSDK.useWebApiKey('adae3c38-be9a-4529-94d7-3c7a33c1201a');
// CSCoreSDK.signRequestsWithKey("MDhiNjE4NmQtZjhlMi00ZmMzLTk3YmMtY2NhNmQ4N2FhNDZm");
describe('RequestSigner',function(){
	it('Generates valid signature for request with data',function(){
		var signer = new  CSCoreSDK.Signer("adae3c38-be9a-4529-94d7-3c7a33c1201a","MDhiNjE4NmQtZjhlMi00ZmMzLTk3YmMtY2NhNmQ4N2FhNDZm")
		var signature = signer.generateSignatureForRequest("/some/nice/path","{\"someNice\":\"data\"}","123456");
	});

	it('Generates valid signature for request without data',function(){
		var signer = new  CSCoreSDK.Signer("adae3c38-be9a-4529-94d7-3c7a33c1201a","MDhiNjE4NmQtZjhlMi00ZmMzLTk3YmMtY2NhNmQ4N2FhNDZm")
		var signature = signer.generateSignatureForRequest("/some/nice/path",null,"123456");
	});	
	
})