import {WebApiClient,WebApiContext,WebApiConfiguration} from '../../../lib/core-sdk'
import {UsersResource} from './users'
import {PostsResource} from './posts'

export class TestApiClient extends WebApiClient{
    
    constructor(config: WebApiConfiguration){
        super(config,"")
    }
    
    get users():UsersResource{
		return new UsersResource(this.getPath()+"/users",this);
	}
    
    get posts():PostsResource{
		return new PostsResource(this.getPath()+"/posts",this);
	}    
    
}