import { WebApiClient } from '../web-api/web-api-client';
/**
 * @export
 * @class SigningUtils
 */
export declare class SigningUtils {
    /**
     * Replaces order's signInfo property with new SigningObject with passed parameters
     *
     * @static
     * @param {any} order
     * @param {WebApiClient} client
     * @param {string} url
     * @returns {void}
     *
     * @memberOf SigningUtils
     */
    static createSigningObject(order: any, client: WebApiClient, url: string): void;
}
